org.deidentifier.arx.io

## Class ImportColumnExcel

- java.lang.Object
- - org.deidentifier.arx.io.ImportColumn
  - - org.deidentifier.arx.io.ImportColumnIndexed
    - - org.deidentifier.arx.io.ImportColumnExcel

All Implemented Interfaces:
  IImportColumnIndexed

    public class ImportColumnExcel
    extends ImportColumnIndexed

Represents a single Excel data column Excel columns are referred to by an index (see `ImportColumnIndexed`).

Author:
  Karol Babioch, Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ImportColumnExcel(int index, DataType<?> datatype)` Creates a new instance of this object with the given parameters.
`ImportColumnExcel(int index, DataType<?> datatype, boolean cleansing)` Creates a new instance of this object with the given parameters.
`ImportColumnExcel(int index, java.lang.String aliasName, DataType<?> datatype)` Creates a new instance of this object with the given parameters.
`ImportColumnExcel(int index, java.lang.String aliasName, DataType<?> datatype, boolean cleansing)` Creates a new instance of this object with the given parameters.
`ImportColumnExcel(java.lang.String name, DataType<?> datatype)` Creates a new instance of this object with the given parameters.
`ImportColumnExcel(java.lang.String name, DataType<?> datatype, boolean cleansing)` Creates a new instance of this object with the given parameters.
`ImportColumnExcel(java.lang.String name, java.lang.String alias, DataType<?> datatype)` Creates a new instance of this object with the given parameters.
`ImportColumnExcel(java.lang.String name, java.lang.String alias, DataType<?> datatype, boolean cleansing)` Creates a new instance of this object with the given parameters.

### Method Summary

### Methods inherited from class org.deidentifier.arx.io.ImportColumnIndexed

`getIndex, getName, isIndexSpecified, setIndex, setName`

### Methods inherited from class org.deidentifier.arx.io.ImportColumn

`getAliasName, getDataType, isCleansing, setAliasName, setCleansing, setDataType`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImportColumnExcel

    public ImportColumnExcel(int index,
                             DataType<?> datatype)

Creates a new instance of this object with the given parameters.

Parameters:
  `index` - the index
  `datatype` - the datatype
See Also:
  `ImportColumnIndexed}`

#### ImportColumnExcel

    public ImportColumnExcel(int index,
                             DataType<?> datatype,
                             boolean cleansing)

Creates a new instance of this object with the given parameters.

Parameters:
  `index` - the index
  `datatype` - the datatype
  `cleansing` - the cleansing

#### ImportColumnExcel

    public ImportColumnExcel(int index,
                             java.lang.String aliasName,
                             DataType<?> datatype)

Creates a new instance of this object with the given parameters.

Parameters:
  `index` - the index
  `aliasName` - the alias name
  `datatype` - the datatype
See Also:
  `ImportColumnIndexed}`

#### ImportColumnExcel

    public ImportColumnExcel(int index,
                             java.lang.String aliasName,
                             DataType<?> datatype,
                             boolean cleansing)

Creates a new instance of this object with the given parameters.

Parameters:
  `index` - the index
  `aliasName` - the alias name
  `datatype` - the datatype
  `cleansing` - the cleansing

#### ImportColumnExcel

    public ImportColumnExcel(java.lang.String name,
                             DataType<?> datatype)

Creates a new instance of this object with the given parameters.

Parameters:
  `name` - the name
  `datatype` - the datatype

#### ImportColumnExcel

    public ImportColumnExcel(java.lang.String name,
                             DataType<?> datatype,
                             boolean cleansing)

Creates a new instance of this object with the given parameters.

Parameters:
  `name` - the name
  `datatype` - the datatype
  `cleansing` - the cleansing

#### ImportColumnExcel

    public ImportColumnExcel(java.lang.String name,
                             java.lang.String alias,
                             DataType<?> datatype)

Creates a new instance of this object with the given parameters.

Parameters:
  `name` - the name
  `alias` - the alias
  `datatype` - the datatype

#### ImportColumnExcel

    public ImportColumnExcel(java.lang.String name,
                             java.lang.String alias,
                             DataType<?> datatype,
                             boolean cleansing)

Creates a new instance of this object with the given parameters.

Parameters:
  `name` - the name
  `alias` - the alias
  `datatype` - the datatype
  `cleansing` - the cleansing